<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\PtwMstType;
use App\Repositories\PTW\PtwMasterListInterface;
use App\Http\Traits\InvalidTokenCheck;

class PtwMasterListControllerV1 extends Controller
{
    //
    private $repository;

    public function __construct(PtwMasterListInterface $repository){
        $this->repository = $repository;
    }

     /**
     * Store a newly created resource in storage.
     */
    public function masterListPtw(Request $request)
    {
        return $this->repository->masterListPtw($request);
    }

     /**
     * Store a newly created resource in storage.
     */
    public function masterChekListPtw(Request $request)
    {
        return $this->repository->masterChekListPtw($request);
    }
}
